> ## Documentation Index
> Fetch the complete documentation index at: https://docs.schoolmaker.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Duplicate an Offer

> Copies an offer as unpublished, including its accesses and prices by default. Members are not moved to the copy.



## OpenAPI

````yaml post /offers/{id}/duplicate
openapi: 3.0.1
info:
  title: SchoolMaker API V1
  description: API for managing your SchoolMaker school
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://schoolmaker.co/api/v1
    description: Production API
security:
  - bearerAuth: []
paths:
  /offers/{id}/duplicate:
    post:
      tags:
        - Offers
      summary: Duplicate an Offer
      description: >-
        Copies an offer as unpublished, including its accesses and prices by
        default. Members are not moved to the copy.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  maxLength: 10000
                include_accesses:
                  type: boolean
                include_pricing:
                  type: boolean
              additionalProperties: false
      responses:
        '200':
          description: Successful response.
          content:
            application/json:
              schema:
                type: object
                properties:
                  name:
                    type: string
                  title:
                    type: string
                    nullable: true
                  long_description:
                    type: string
                    nullable: true
                  is_published:
                    type: boolean
                  is_access_program_shown:
                    type: boolean
                    nullable: true
                  is_search_engine_indexing_enabled:
                    type: boolean
                    nullable: true
                  max_purchase_amount:
                    type: integer
                    nullable: true
                  trial_period_days:
                    type: integer
                    nullable: true
                  trial_period_days_multiplier:
                    type: integer
                    nullable: true
                  settings_allow_multiple_purchase:
                    type: boolean
                  id:
                    type: string
                  image_cover_url:
                    type: string
                    nullable: true
                  accesses:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        element_id:
                          type: string
                        element_type:
                          type: string
                        access_type:
                          type: string
                        end_delay:
                          type: integer
                        quantity:
                          type: integer
                        lessons:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                              is_enabled:
                                type: boolean
                  prices:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        amount:
                          oneOf:
                            - type: number
                            - type: string
                        price_type:
                          type: string
                        recurring_interval:
                          type: string
                        recurring_interval_count:
                          type: integer
                        recurring_iterations:
                          type: integer
        '401':
          description: Missing or invalid API credentials.
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
              example:
                error: Access denied
        '404':
          description: Record not found in your school.
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
              example:
                error: Record not found
        '422':
          description: Invalid offer details.
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
              example:
                error: 'Invalid arguments: /attributes/name minLength'
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.